package org.RI.P2;

import java.util.List;

import com.google.gson.annotations.SerializedName;

class Affiliation {
    String laboratory;
    String institution;
}

class Location {
    String postCode;
    String settlement;
    String region;
    String country;
}

class Author {
    String first;
    List<String> middle;
    String last;
    String suffix;
    Affiliation affiliation;
    Location location;
    String email;
}

class Metadata {
    String title;
    List<Author> authors;
}

class Abstract {
    String text;
}

class Body_Text {
    String text;
}

public class Paper {
    String paper_id;
    Metadata metadata;
    @SerializedName("abstract")
    List<Abstract> abstract_;
    List<Body_Text> body_text;
}
